Summary:	Display I/O usage of processes in a top like UI
Name:		iotop
Version:	0.6
Release:	%mkrel 22
License:	GPLv2
Group:		Monitoring
Url:		http://guichaz.free.fr/iotop/
Source0:	http://guichaz.free.fr/iotop/files/%{name}-%{version}.tar.bz2
Patch1:		0001-Make-pep8-happy.patch
Patch2:		0002-Be-specific-about-which-exceptions-are-being-caught.patch
Patch3:		0003-Fix-terminology-replace-actual-by-current.patch
Patch4:		0004-Fix-two-typos.patch
Patch5:		0005-Fix-build-error-with-Python-3-caused-by-itervalues-i.patch
Patch6:		0006-Switch-URLs-from-http-to-https.patch
Patch7:		0007-Refer-to-Python-using-the-correct-capitalisation.patch
Patch8:		0008-Also-ignore-the-dist-directory-which-is-created-by-s.patch
Patch9:		0009-Only-split-proc-status-lines-on-the-character.patch
Patch10:	0010-Add-the-full-fingerprint-for-the-release-signing-key.patch
Patch11:	0011-Strip-obsolete-comment-from-the-manual-page.patch
Patch12:	0012-Correct-the-alignment-of-the-header.patch
Patch13:	0013-Correct-the-location-of-the-status-message.patch
Patch14:	0014-Print-the-titles-at-specific-locations.patch
Patch15:	0015-Hide-UI-elements-on-smaller-terminals.patch
Patch16:	0016-Check-the-column-title-is-not-empty-before-using-it.patch
Patch17:	0017-Add-a-footer-listing-keyboard-shortcuts.patch
Patch18:	0018-Fix-typo-alignement.patch
Patch19:	0019-Use-monotonic-time-to-calculate-durations.patch
Patch20:	0020-Support-Python-versions-and-platforms-with-no-time.m.patch
Patch21:	0021-Add-ioprio_-syscall-numbers-for-mips.patch
Patch22:	0022-Switch-from-python-to-python3.patch
Patch23:	0023-Improve-the-message-that-is-printed-when-Linux-tasks.patch
Patch24:	0024-Fix-crash-due-to-syntax-error.patch
Patch25:	0025-Ignore-invalid-lines-in-proc-status-files.patch
Patch26:	0026-Actually-skip-invalid-lines-in-proc-status.patch
Patch27:	0027-Fix-indefinite-article-to-be-an-x86_64-kernel-instea.patch
Patch28:	0028-Fix-possessive-form-for-process-in-the-manual-page.patch
Patch29:	0029-Add-a-_ioprio-C-extension-module-for-exporting-SYS_i.patch
Patch30:	0030-Handle-errors-setting-up-curses-by-printing-the-erro.patch
Patch31:	0031-Document-the-new-kernel.task_delayacct-sysctl-requir.patch
Patch32:	0032-Detect-the-kernel.task_delayacct-sysctl-value.patch
Patch33:	0033-Workaround-crashes-due-to-non-UTF-8-characters-in-pr.patch
Patch34:	0034-Document-the-new-iotop-channel-on-the-libera.chat-IR.patch
Patch35:	0035-Update-URLs-for-redirects-and-other-location-changes.patch
Patch36:	0036-Automatically-hide-the-SWAPIN-IO-columns-when-they-a.patch
Patch37:	0037-Promote-the-new-iotop-implementation-that-is-written.patch
Patch38:	0038-Promote-the-packages-of-both-of-the-Python-C-iotop-i.patch
Patch39:	0039-Update-manual-page-modification-date.patch
BuildRequires:	git-core
BuildRequires:	zlib
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel

%description
iotop is a Python program with a top like UI used to show of behalf of
which process is the I/O going on. It requires a Linux kernel 2.6.20
with TASK_IO_ACCOUNTING enabled.

%prep
%autosetup -p1 -Sgit_am

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

if [ -x %{buildroot}%{_bindir}/iotop ]; then
  mkdir -p %{buildroot}%{_sbindir}
  mv %{buildroot}%{_bindir}/iotop %{buildroot}%{_sbindir}/
fi

%files -f %{pyproject_files}
%doc NEWS THANKS
%{_sbindir}/iotop
%{_mandir}/man?/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.6-22.mga10
+ Revision: 2242063
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 papoteur <papoteur> 0.6-21.mga10
+ Revision: 2159408
- rebuild for python3.13

* Sat Dec 30 2023 papoteur <papoteur> 0.6-20.mga10
+ Revision: 2024626
- rebuild again for python 3.12

* Sat Dec 09 2023 wally <wally> 0.6-19.mga10
+ Revision: 2016166
- rebuild for py3.12

* Fri Jan 27 2023 wally <wally> 0.6-18.mga9
+ Revision: 1936510
- add latest patches from upstream git

* Mon Aug 08 2022 mrambo3501 <mrambo3501> 0.6-17.mga9
+ Revision: 1876120
- use Python's bundled distutils

* Sun Aug 07 2022 mrambo3501 <mrambo3501> 0.6-16.mga9
+ Revision: 1876001
- fix filelists

* Mon Mar 21 2022 umeabot <umeabot> 0.6-15.mga9
+ Revision: 1816074
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.6-14.mga9
+ Revision: 1773579
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.6-13.mga9
+ Revision: 1703639
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.6-12.mga8
+ Revision: 1531006
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 0.6-11.mga8
+ Revision: 1438441
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 0.6-10.mga8
+ Revision: 1435560
- switch to python3

* Tue Sep 18 2018 umeabot <umeabot> 0.6-9.mga7
+ Revision: 1262466
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 0.6-8.mga6
+ Revision: 933830
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-7.mga5
+ Revision: 751239
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6-6.mga5
+ Revision: 726514
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6-5.mga5
+ Revision: 680532
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.6-4.mga5
+ Revision: 628265
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6-3.mga4
+ Revision: 542662
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.6-2.mga4
+ Revision: 497813
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jun 06 2013 dams <dams> 0.6-1.mga4
+ Revision: 438354
- fix %%files
- new version 0.6

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 354439
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 28 2011 guillomovitch <guillomovitch> 0.4.4-1.mga2
+ Revision: 188391
- new version

* Sun Apr 03 2011 tmb <tmb> 0.4.3-1.mga1
+ Revision: 80001
- update to 0.4.3

* Fri Feb 18 2011 misc <misc> 0.4.2-1.mga1
+ Revision: 53398
- use more standard macro ( ie, the one from rpm.org )
- remove extranous requires ( as python is now merged and autodetected )
- new version
- imported package iotop


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 0.4.1-2mdv2011.0
+ Revision: 590134
- rebuild for python 2.7

* Sun Jul 11 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-1mdv2011.0
+ Revision: 550958
- update to new version 0.4.1

* Tue Jan 19 2010 Frederik Himpe <fhimpe@mandriva.org> 0.4-1mdv2010.1
+ Revision: 493779
- update to new version 0.4

* Thu Sep 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.2-1mdv2010.0
+ Revision: 448397
- update to new version 0.3.2

* Thu Jun 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.1-1mdv2010.0
+ Revision: 385178
- update to new version 0.3.1

* Sun May 17 2009 trem <trem@mandriva.org> 0.3-1mdv2010.0
+ Revision: 376628
- update to 0.3

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 0.2.1-4mdv2009.1
+ Revision: 326081
- rebuild
- rebuild

* Tue Jan 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.2.1-2mdv2009.1
+ Revision: 325317
- Rebuild for new python

* Sun Jul 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.1-1mdv2009.0
+ Revision: 250582
- add missing buildrequires on zlib
- update to new version 0.2.1
- correct the url and source
- fix mixture of tabs and spaces
- spec file clean

* Fri Jul 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0-3mdv2009.0
+ Revision: 238199
- spec cleanup

  + Michael Scherer <misc@mandriva.org>
    - add missing requires on python, as found by guillomovitch

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Tue Dec 18 2007 Olivier Blin <oblin@mandriva.com> 0-1mdv2008.1
+ Revision: 132091
- build as noarch
- initial iotop package
- create iotop

